package com.tillekesoft.accessibilityservices;

import anywheresoftware.b4a.BA;


@BA.ShortName("AccessibilityConstants")

public class AccessibilityConstants {

    public static final int SearchByText = 1;
    public static final int SearchById = 2;

    public static final int GLOBAL_ACTION_BACK = 1; //(API 16)
    public static final int GLOBAL_ACTION_HOME = 2; //(API 16)
    public static final int GLOBAL_ACTION_LOCK_SCREEN = 8; //(from android sdk P)
    public static final int GLOBAL_ACTION_NOTIFICATIONS = 4; //(API 16)
    public static final int GLOBAL_ACTION_POWER_DIALOG = 6; //(API 21)
    public static final int GLOBAL_ACTION_QUICK_SETTINGS = 5; //(API 17)
    public static final int GLOBAL_ACTION_RECENTS = 3; //(API 16)
    public static final int GLOBAL_ACTION_TAKE_SCREENSHOT = 9; //(from android sdk P)
    public static final int GLOBAL_ACTION_TOGGLE_SPLIT_SCREEN = 7; //(API 24)

    public static final int ACTION_CLICK = 16;
    public static final int ACTION_FOCUS = 1;
    public static final int ACTION_CLEAR_FOCUS = 2;
    public static final int ACTION_SELECT = 4;
    public static final int ACTION_CLEAR_SELECTION = 8;
    public static final int ACTION_ACCESSIBILITY_FOCUS = 64;
    public static final int ACTION_CLEAR_ACCESSIBILITY_FOCUS = 128;
    public static final int ACTION_LONG_CLICK = 32;
    public static final int ACTION_NEXT_AT_MOVEMENT_GRANULARITY = 256;
    public static final int ACTION_PREVIOUS_AT_MOVEMENT_GRANULARITY = 512;
    public static final int ACTION_NEXT_HTML_ELEMENT = 1024;
    public static final int ACTION_PREVIOUS_HTML_ELEMENT = 2048;
    public static final int ACTION_SCROLL_FORWARD = 4096;
    public static final int ACTION_SCROLL_BACKWARD = 8192;
    public static final int ACTION_COLLAPSE = 524288;
    public static final int ACTION_COPY = 16384;
    public static final int ACTION_CUT = 65536;
    public static final int ACTION_PASTE = 32768;
    public static final int ACTION_SET_TEXT = 2097152;
    //        public static final int ACTION_SET_SELECTION;




} //end of class
